Name: python-gitdb
Version: 0.5.4
Release: %mkrel 2
Summary: A pure-Python git object database
Group: Development/Python
License: BSD
URL: https://github.com/gitpython-developers/gitdb
Source: http://pypi.python.org/packages/source/g/gitdb/gitdb-%{version}.tar.gz
Requires: python-async >= 0.6.1
Requires: python-smmap >= 0.8.0
BuildRequires: python-devel
BuildRequires: python-nose
BuildRequires: python-async

%description
GitDB allows you to access bare git repositories for reading and writing. It
aims at allowing full access to loose objects as well as packs with performance
and scalability in mind. It operates exclusively on streams, allowing to
operate on large objects with a small memory footprint.

%prep
%setup -q -n gitdb-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %buildroot

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE
%{python_sitearch}/*


%changelog
* Wed Jul 20 2011 fwang <fwang> 0.5.4-2.mga2
+ Revision: 127002
- add req

* Wed Jul 20 2011 fwang <fwang> 0.5.4-1.mga2
+ Revision: 126953
- imported package python-gitdb

